package com.heyu.api.data.service.user;
/**
* <p>
* 用户房间表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.user.UserRoomEntity;
public interface UserRoomService extends IService<UserRoomEntity> {



	UserRoomEntity selectUserRoomById(Long id);


	Long insertUserRoom(UserRoomEntity userRoom);


	Long insertOrUpdateUserRoom(UserRoomEntity userRoom);


	int updateUserRoomById(UserRoomEntity userRoom);


	int updateCoverUserRoomById(UserRoomEntity userRoom);


	int deleteUserRoomById(Long id);


}